Bug 799694 - Review Request: dwb - Dynamic web browser based on WebKit and GTK+
Review Request: dwb - Dynamic web browser based on WebKit and GTK+
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 06:36 EST by Sébastien Willmann
Modified: 2012-03-17 20:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: dwb-2012.02.01-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-11 12:58:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sébastien Willmann 2012-03-04 06:36:50 EST
Spec URL: http://wilqu.fr/rpms/dwb/dwb.spec
SRPM URL: http://wilqu.fr/rpms/dwb/dwb-2012.02.01-1.fc16.src.rpm
Description: dwb is small webkit-based web-browser in the spirit of tiling window managers, that aims to be mostly keyboard-driven.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3850323
Comment 1 Michael Scherer 2012-03-04 07:50:17 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint dwb-2012.02.01-1.fc18.src.rpm

dwb.src: W: spelling-error %description -l en_US webkit -> web kit, web-kit, website
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint dwb-2012.02.01-1.fc18.i686.rpm

dwb.i686: W: spelling-error %description -l en_US webkit -> web kit, web-kit, website
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint dwb-debuginfo-2012.02.01-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/misc/799694/dwb-2012.02.01.tar.gz :
  MD5SUM this package     : 9d1da367b745f4185aa35309747bb8c9
  MD5SUM upstream package : 9d1da367b745f4185aa35309747bb8c9

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[!]: MUST Rpmlint output is silent.

rpmlint dwb-2012.02.01-1.fc18.src.rpm

dwb.src: W: spelling-error %description -l en_US webkit -> web kit, web-kit, website
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint dwb-2012.02.01-1.fc18.i686.rpm

dwb.i686: W: spelling-error %description -l en_US webkit -> web kit, web-kit, website
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint dwb-debuginfo-2012.02.01-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.



So, to summarize :
I think the spelling error is a false positive

removing %defattr is optional.

i am however unsure about the desktop-file-install stuff, so I will check.

On a side note, and as said on irc :
- BuildRequires on 2 differents lines are better, as this permit easier review for patch ( but that's just nitpicking )
- there is lots of blank line, again, that's nitpicking so feel free to ignore :)

and as found by Remi Collet, there is a issue with missing update-desktop-database ( https://fedoraproject.org/wiki/NewMIMESystem ), and missing mime-type. 

So i think once the update-desktop issue is cleared, it would be good to go.
Comment 3 Michael Scherer 2012-03-04 12:50:25 EST
I just found out that desktop-file-validate should be run ( or desktop-file-install ), according to https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

So either add it in %check, or rework the spec to use desktop-file-install ( and potentially remove the patch in favor of --add-mime-type ).
Comment 4 Sébastien Willmann 2012-03-04 13:45:31 EST
SPEC: http://wilqu.fr/rpms/dwb/dwb.spec
SRPM: http://wilqu.fr/rpms/dwb/dwb-2012.02.01-3.fc16.src.rpm

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3851119

I put desktop-file-validate in the %install section, and left the patch as it is. The mime-type will be fixed in the next release anyway.
Comment 5 Michael Scherer 2012-03-04 14:05:42 EST
All comments have been addressed, so that's good for me, the package can be added to the package collection.
Comment 6 Sébastien Willmann 2012-03-04 14:33:26 EST
New Package SCM Request
=======================
Package Name: dwb
Short Description: Dynamic web browser based on WebKit and GTK+
Owners: wilqu
Branches: f15 f16 f17
InitialCC:
Comment 7 Jens Petersen 2012-03-06 02:27:39 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-03-06 14:57:56 EST
dwb-2012.02.01-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dwb-2012.02.01-3.fc17
Comment 9 Fedora Update System 2012-03-06 14:59:25 EST
dwb-2012.02.01-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dwb-2012.02.01-3.fc16
Comment 10 Fedora Update System 2012-03-06 15:00:32 EST
dwb-2012.02.01-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dwb-2012.02.01-3.fc15
Comment 11 Fedora Update System 2012-03-07 02:22:03 EST
dwb-2012.02.01-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-03-11 12:58:08 EDT
dwb-2012.02.01-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-03-17 19:38:45 EDT
dwb-2012.02.01-3.fc15 has been pushed to the Fedora 15 stable repository.
Comment 14 Fedora Update System 2012-03-17 20:01:06 EDT
dwb-2012.02.01-3.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.